//
//  LiveCourseEnterVC.h
//  BaseStudyCommune
//
//  Created by apple-pc on 2021/12/15.
//  Copyright © 2021 enaea. All rights reserved.
//


#import <PlayerSDK/PlayerSDK.h>
#import <Flutter/Flutter.h>
NS_ASSUME_NONNULL_BEGIN
/**
 直播
 */
@interface LiveCourseEnterVC : UIViewController

//直接结束回调
@property (nonatomic, copy) void(^liveClosedHandler)(void);
@property (nonatomic , copy)NSString *courseId;//直播课程id
@property (nonatomic, copy) NSString *itemId;
@property (nonatomic, copy) NSString *liveName; //课程名称
@property (nonatomic , copy)NSString *sourceId;//来源id:  项目id,直播id, 活动id
@property (nonatomic , copy)NSString *sourceType;//来源: 0管理员 1项目 2公开直播 3活动 默认2
@property (nonatomic,copy)GSPJoinParam *param;
/// 用于主动传值给flutter的桥梁.
@property (nonatomic,assign)FlutterEventSink eventSink;
@end

NS_ASSUME_NONNULL_END
