//
//  SCNetInterface.h
//  BaseStudyCommune
//
//  Created by tech on 2018/2/5.
//  Copyright © 2018年 enaea. All rights reserved.
//

#ifndef SCNetInterface_h
#define SCNetInterface_h

#ifdef DEBUG
//测试
//#define PassportUrlBase     @"https://test.ttcdw.com.cn/p/passport/"
//#define PublicUrlBase       @"https://test.ttcdw.com.cn/api/"
//#define HtmlUrlBase         @"https://test.ttcdw.com.cn/h5/"
//#define LiveShareUrlBase    @"https://test.ttcdw.cn/"
//#define StudioUrlBase       @"https://test-org.grtcloud.net/"
//#define XXapiUrlBase        @"https://test.ttcdw.com.cn/xxapi/"
//#define XuanXueUrlBase      @"https://test.ttcdw.com.cn/xxapi/"
//#define XuanXueListImgUrlBase @"https://test.ttcdw.com.cn/storage/"
//#define XuanXueCallback     @"test-pxgl.ttcdw.cn/"
//#define XuanXueDomain       @"https://test-pxgl.grtcloud.net/"
//#define XXapiSourceDomain   @"test-pxgl.ttcdw.cn"
//#define XuanXueFileBase     @"https://test.ttcdw.cn/"
//#define XuanXueMessageUrlBase @"https://test.ttcdw.com.cn/message/"
//#define LCUrlBase           @"https://study.beta.ceat.net.cn/" //学习公社接口前缀
//#define HomeUrlHostName     @"https://pre-www.tcc.edu.cn/"
//#define RMSUrlBase          @"https://test-rms.grtcloud.net/"


//预生产
#define PassportUrlBase   @"https://pre.ttcdw.com.cn/p/passport/"
#define PublicUrlBase     @"https://pre.ttcdw.com.cn/api/"
#define HtmlUrlBase       @"https://pre.ttcdw.com.cn/h5/"
#define LiveShareUrlBase  @"https://pre.ttcdw.cn/"
#define StudioUrlBase     @"https://pre-org.ttcdw.cn/"
#define XXapiUrlBase      @"https://pre.ttcdw.com.cn/xxapi/"
#define XuanXueUrlBase    @"https://pre.ttcdw.com.cn/xxapi/"
#define XuanXueListImgUrlBase @"https://pre.ttcdw.com.cn/storage/"
#define XuanXueCallback   @"pre-pxgl.ttcdw.cn/"
#define XuanXueDomain     @"https://pre-pxgl.ttcdw.cn/"
#define XXapiSourceDomain @"pre-pxgl.ttcdw.cn"
#define XuanXueFileBase   @"https://pre.ttcdw.com.cn/"
#define XuanXueMessageUrlBase @"https://pre.ttcdw.com.cn/message/"
#define LCUrlBase         @"https://study.beta.ceat.net.cn/" //学习公社接口前缀
#define HomeUrlHostName   @"https://pre-www.tcc.edu.cn/"
#define RMSUrlBase        @"http://www.rms.com/"


//SC2
//#define PassportUrlBase   @"https://sc2.ttcdw.com.cn/p/passport/"
//#define PublicUrlBase     @"https://sc2.ttcdw.com.cn/api/"
//#define HtmlUrlBase       @"https://sc2.ttcdw.com.cn/h5/"
////#define LiveShareUrlBase  @"https://sc2.tcc.edu.cn/"
//#define LiveShareUrlBase  @"https://sc2-www.grtcloud.net/"
//#define StudioUrlBase     @"https://sc2-org.grtcloud.net/"
//#define XXapiUrlBase      @"https://sc2.ttcdw.com.cn/xxapi/"
//#define XuanXueUrlBase    @"https://sc2.ttcdw.com.cn/xxapi/"
//#define XuanXueListImgUrlBase @"https://sc2.ttcdw.com.cn/storage/"
//#define XuanXueCallback   @"sc2-pxgl.grtcloud.net/"
//#define XuanXueFileBase   @"https://sc2.ttcdw.com.cn/"
//#define XuanXueDomain     @"https://sc2-pxgl.grtcloud.net/"
//#define XXapiSourceDomain  @"sc2-pxgl.grtcloud.net"//@"pre-pxgl.ttcdw.cn"
//#define XuanXueFileBase   @"https://sc2.ttcdw.com.cn/"
//#define XuanXueMessageUrlBase @"https://sc2.ttcdw.com.cn/message/"
//#define LCUrlBas e         @"https://study.beta.ceat.net.cn/" //学习公社接口前缀
//#define HomeUrlHostName   @"https://pre-www.tcc.edu.cn/"
//#define RMSUrlBase        @"http://www.rms.com/"

//HW
//#define PassportUrlBase   @"https://hw.ttcdw.com.cn/p/passport/"
//#define PublicUrlBase     @"https://hw.ttcdw.com.cn/api/"
//#define HtmlUrlBase       @"https://hw.ttcdw.com.cn/h5/"
//#define LiveShareUrlBase  @"https://hw.ttcdw.cn/"
//#define StudioUrlBase     @"https://hw-org.ttcdw.cn/"
//#define XXapiUrlBase      @"https://hw.ttcdw.com.cn/xxapi/"
//#define XuanXueUrlBase    @"https://hw.ttcdw.com.cn/xxapi/"
//#define XuanXueListImgUrlBase @"https://hw.ttcdw.com.cn/storage/"
//#define XuanXueCallback   @"hw-pxgl.ttcdw.cn/"
//#define XuanXueDomain     @"https://hw-pxgl.ttcdw.cn/"
//#define XXapiSourceDomain @"hw-pxgl.ttcdw.cn"
//#define XuanXueFileBase   @"https://hw.ttcdw.com.cn/"
//#define XuanXueMessageUrlBase @"https://hw.ttcdw.com.cn/message/"
//#define LCUrlBase         @"https://study.beta.ceat.net.cn/" //学习公社接口前缀
//#define HomeUrlHostName   @"https://hw-www.tcc.edu.cn/"
//#define RMSUrlBase        @"http://www.rms.com/"


//C组 debug
//#define PassportUrlBase   @"https://www.ttcdw.com.cn/p/passport/"
//#define PublicUrlBase     @"https://www.ttcdw.com.cn/api/"
//#define HtmlUrlBase       @"https://www.ttcdw.com.cn/h5/"
//#define LiveShareUrlBase  @"https://www.ttcdw.cn/"
//#define StudioUrlBase     @"https://org.ttcdw.cn/"
//#define XXapiUrlBase      @"https://www.ttcdw.com.cn/xxapi/"
//#define XuanXueUrlBase    @"https://www.ttcdw.com.cn/xxapi/"
//#define XuanXueListImgUrlBase @"https://www.ttcdw.com.cn/storage/"
//#define XuanXueCallback   @"pxgl.ttcdw.cn/"
//#define XuanXueDomain     @"https://pxgl.ttcdw.cn/"
//#define XXapiSourceDomain @"pxgl.ttcdw.cn"
//#define XuanXueFileBase   @"https://www.ttcdw.com.cn/"
//#define XuanXueMessageUrlBase @"https://www.ttcdw.com.cn/message/"
//#define LCUrlBase         @"https://study.enaea.edu.cn/" //学习公社接口前缀
//#define HomeUrlHostName   @""
//#define RMSUrlBase        @"https://rms.guorent.com/"



#else
//生产
#define PassportUrlBase   @"https://www.ttcdw.com.cn/p/passport/"
#define PublicUrlBase     @"https://www.ttcdw.com.cn/api/"
#define HtmlUrlBase       @"https://www.ttcdw.com.cn/h5/"
#define LiveShareUrlBase  @"https://www.ttcdw.cn/"
#define StudioUrlBase     @"https://org.ttcdw.cn/"
#define XXapiUrlBase      @"https://www.ttcdw.com.cn/xxapi/"
#define XuanXueUrlBase    @"https://www.ttcdw.com.cn/xxapi/"
#define XuanXueListImgUrlBase @"https://www.ttcdw.com.cn/storage/"
#define XuanXueCallback   @"pxgl.ttcdw.cn/"
#define XuanXueDomain     @"https://pxgl.ttcdw.cn/"
#define XXapiSourceDomain @"pxgl.ttcdw.cn"
#define XuanXueFileBase   @"https://www.ttcdw.com.cn/"
#define XuanXueMessageUrlBase @"https://www.ttcdw.com.cn/message/"
#define LCUrlBase         @"https://study.enaea.edu.cn/" //学习公社接口前缀
#define HomeUrlHostName   @""
#define RMSUrlBase        @"https://rms.guorent.com/"


#endif


#define Grtapp              @"grtapp,ios-V1.0.0"
#define PlatformId          @"?platformId=13145854983311" //平台ID
#define PlatformIdH5        @"13145854983311" //平台ID
/// SC2 环境平台 id
//#define PlatformId          @"?platformId=13145854983314" //平台ID
//#define PlatformIdH5        @"13145854983314" //平台ID


//学习公社云
#ifdef BaseStudyCommune
//#ifdef DEBUG
//#define HomeUrl             [HomeUrlHostName stringByAppendingFormat:@"h/wz/?ufo-agent=%@",Grtapp]
//#define IndustryIdH5    @"446087998956126208" // DEBUG
//#define IndustryIdH5    @"457339521678635008" // SC2
//#else

///取消职教发布，学习公社云首页替换成职教首页
//#define HomeUrl [@"https://www.tcc.edu.cn/" stringByAppendingFormat:@"h/wz/?ufo-agent=%@",Grtapp]


#ifdef DEBUG
#define HomeUrl [@"http://www.zhijiao-guorent.com/" stringByAppendingFormat:@"h/wz/?ufo-agent=%@",Grtapp]
//c组首页
//#define HomeUrl [@"https://www.ttcdw.cn/" stringByAppendingFormat:@"h/wz/?ufo-agent=%@",Grtapp]


#else
#define HomeUrl [@"https://www.ttcdw.cn/" stringByAppendingFormat:@"h/wz/?ufo-agent=%@",Grtapp]
#endif
//#define IndustryIdH5    @"445076444893667328" //行业ID
//#endif
//@"445076444893667328" //行业ID test环境@"446087998956126208" sc2环境@"455567872658698240"
///取消职教发布，学习公社云删除行业ID；v3.4.0
#define IndustryIdH5    @""
#define ORGID           @""//机构ID
#define AppStoreID      @"1147069389" //应用商店版本更新ID
#define ProtocolUrl     [HtmlUrlBase stringByAppendingFormat:@"%@",@"protocol?p=3"] //服务协议

//职教
#elif Vocational
#ifdef DEBUG
#define HomeUrl [HomeUrlHostName stringByAppendingFormat:@"h/wz/?ufo-agent=%@",Grtapp]
#else
#define HomeUrl [@"https://www.ttcdw.cn/" stringByAppendingFormat:@"h/wz/?ufo-agent=%@",Grtapp]
#endif
#define AppStoreID      @"1514069025" //应用商店版本更新ID
#define IndustryIdH5    @"" //行业ID
#define ORGID           @""//机构ID
#define ProtocolUrl     [HtmlUrlBase stringByAppendingFormat:@"%@",@"protocol?p=3"]//服务协议

//我的绿色大学
#elif Eemooc
#ifdef DEBUG
#define HomeUrl [HomeUrlHostName stringByAppendingFormat:@"h/wz/?ufo-agent=%@",Grtapp]
#define IndustryIdH5    @"457339549486870528" // SC2
#else
#define HomeUrl [@"http://www.eemooc.org/" stringByAppendingFormat:@"h/wz/?ufo-agent=%@",Grtapp]
#define IndustryIdH5    @"411708634086174720" //行业ID
#endif
#define AppStoreID      @"1443449873" //应用商店版本更新ID
#define ProtocolUrl     [HtmlUrlBase stringByAppendingFormat:@"%@",@"protocol?p=5"]//服务协议

//建材学习公社
#elif BuildingMaterial
#ifdef DEBUG
#define HomeUrl [HomeUrlHostName stringByAppendingFormat:@"h/wz/?ufo-agent=%@",Grtapp]
#define IndustryIdH5    @"457339350894964736" // SC2
#else
#define HomeUrl [@"https://www.jcpt.org.cn/" stringByAppendingFormat:@"h/wz/?ufo-agent=%@",Grtapp]
#define IndustryIdH5    @"411708562724286464" //行业ID
#endif
#define ORGID           @""//机构ID
#define AppStoreID      @"1522451876" //应用商店版本更新ID
#define ProtocolUrl     [HtmlUrlBase stringByAppendingFormat:@"%@",@"protocol?p=7"] //服务协议

//教师公社
#elif TeacherCommune
#ifdef DEBUG
#define HomeUrl [HomeUrlHostName stringByAppendingFormat:@"h/wz/?ufo-agent=%@",Grtapp]
#else
#define HomeUrl [@"https://www.teacherline.cn/h/" stringByAppendingFormat:@"wz/?ufo-agent=%@",Grtapp]
#endif
#define ORGID           @""//机构ID
#define AppStoreID      @"1556968534" //应用商店版本更新ID
#define IndustryIdH5    @"416893882392330240" //行业ID
#define ProtocolUrl     [HtmlUrlBase stringByAppendingFormat:@"%@",@"protocol?p=3"] //服务协议

//党建时事大讲堂
#elif PartyMember
#ifdef DEBUG
#define HomeUrl [HomeUrlHostName stringByAppendingFormat:@"h/wz/?ufo-agent=%@",Grtapp]
#define IndustryIdH5    @"457339491462868992" // SC2
#else
#define HomeUrl [@"http://www.ecetc.com/" stringByAppendingFormat:@"wz/?ufo-agent=%@",Grtapp]
#define IndustryIdH5    @"417441936828743680" //行业ID
#endif
#define ORGID           @""//机构ID
#define AppStoreID      @"1555271569" //应用商店版本更新ID
#define ProtocolUrl     [HtmlUrlBase stringByAppendingFormat:@"%@",@"protocol?p=3"] //服务协议

//民政
#elif MinZheng
#ifdef DEBUG
#define HomeUrl [HomeUrlHostName stringByAppendingFormat:@"h/wz/?ufo-agent=%@",Grtapp]
//#define IndustryIdH5    @"446087967045861376" // DEBUG
#define IndustryIdH5    @"457339444327280640" // SC2
#else
#define HomeUrl [@"http://ycpx.bcsa.edu.cn/" stringByAppendingFormat:@"h/wz/?ufo-agent=%@",Grtapp]
#define IndustryIdH5    @"445076513448382464" //行业ID
#endif
#define ORGID           @""//机构ID
#define AppStoreID      @"1502348722" //应用商店版本更新ID
#define ProtocolUrl     [HtmlUrlBase stringByAppendingFormat:@"%@",@"protocol?p=6"] //服务协议

// 金隅
#elif JinYu
#define HomeUrl         [@"https://www.jcpt.org.cn/h/dx/jinyudx/wz/" stringByAppendingFormat:@"?ufo-agent=%@",Grtapp]
#define IndustryIdH5    @"" //行业ID
#define ORGID           @"433464365829283840"//机构ID
#define AppStoreID      @" " //应用商店版本更新ID
#define ProtocolUrl     [HtmlUrlBase stringByAppendingFormat:@"%@",@"protocol?p=3"] //服务协议

// 教育部直属机关网络党校
#elif JiGuan
#define HomeUrl         [@"https://www.enaea.edu.cn/onlineps/wz/" stringByAppendingFormat:@"?ufo-agent=%@",Grtapp]
#define IndustryIdH5    @"" //行业ID
#define ORGID           @"433105694635376640"//机构ID
#define AppStoreID      @" " //应用商店版本更新ID
#define ProtocolUrl     [HtmlUrlBase stringByAppendingFormat:@"%@",@"protocol?p=3"] //服务协议
// 国情教育
#elif GuoQingJiaoYu
#define HomeUrl         [@"https://s.enaea.edu.cn/h/gat/wz/" stringByAppendingFormat:@"?ufo-agent=%@",Grtapp]
#define IndustryIdH5    @"" //行业ID
#define ORGID           @"448263334046048256"//机构ID
#define AppStoreID      @" " //应用商店版本更新ID
#define ProtocolUrl     [HtmlUrlBase stringByAppendingFormat:@"%@",@"protocol?p=3"] //服务协议

#endif


#endif /* SCNetInterface_h */

