//
//  SigninPromptController.h
//  BaseStudyCommune
//
//  Created by apple-pc on 2021/8/17.
//  Copyright © 2021 enaea. All rights reserved.
//



NS_ASSUME_NONNULL_BEGIN
typedef enum : NSUInteger {
    OrdinaryType, //普通签到
    FaceType, //人脸签到
    LiveType //直播点名签到
} SignInType;
@protocol SigninPromptDelegate <NSObject>

/// 普通签到
- (void)Ordinarysignin;

/// 人脸签到
- (void)Facesignin;
/// 直播签到
- (void)Livesignin;
/// 直播签到倒计时结束
- (void)CountdownOver;
@end

@interface SigninPromptController : UIViewController
@property (nonatomic, weak) id<SigninPromptDelegate> delegate;
@property (weak, nonatomic) IBOutlet NSLayoutConstraint *topcon;
@property (weak, nonatomic) IBOutlet UIView *CountdownView;
@property (weak, nonatomic) IBOutlet UILabel *mm1;
@property (weak, nonatomic) IBOutlet UILabel *mm2;
@property (weak, nonatomic) IBOutlet UILabel *ss1;
@property (weak, nonatomic) IBOutlet UILabel *ss2;
@property (weak, nonatomic) IBOutlet UIButton *closeBtn;
@property (nonatomic,assign) SignInType type;
///直播倒计时时间
@property(nonatomic,assign)NSInteger second;
@property (weak, nonatomic) IBOutlet UIView *SignInView;
@property (weak, nonatomic) IBOutlet UILabel *titleLabel;
@property (weak, nonatomic) IBOutlet UILabel *nrlabel;
//内容title
@property (nonatomic, strong) NSString *Nrtitle;
/// 操作按钮名称
@property (nonatomic, strong) NSString *actionButtonTitle;

@end

NS_ASSUME_NONNULL_END
