//
//  UIButton+Extension.h
//  HYDocumentReader
//
//  Created by linxiaodong on 14-7-21.
//  Copyright (c) 2014年 linxiaodong. All rights reserved.
//

#import <UIKit/UIKit.h>

@interface UIButton (Extension)
/**
 *  为按钮添加点击间隔 eventTimeInterval秒
 */
@property (nonatomic, assign) NSTimeInterval eventTimeInterval;

- (void)setTitleAlignmentLeft;
+ (id)buttonForFlat:(NSString* )title titleColor:(UIColor *)titleColor target:(id)target action:(SEL)action;
+ (id)backBarButtonItem:(id)target atcion:(SEL)action titleColor:(UIColor *)titleColor withFrame:(CGRect)frame;
+ (id)backBarButtonItem:(id)target atcion:(SEL)action withFrame:(CGRect)frame withImage:(UIImage *)image withHightlightImag:(UIImage *)hightlightImage;

@end
