//
//  SCCountDownConfig.h
//  BaseStudyCommune
//
//  Created by GRT's iMac on 2021/4/7.
//  Copyright © 2021 enaea. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>

NS_ASSUME_NONNULL_BEGIN

@interface SCCountDownConfig : NSObject
/// 背景颜色
@property (nonatomic, strong) UIColor *bgColor;
/// 文字
@property (nonatomic, assign) UIFont *textFont;
/// 数字
@property (nonatomic, strong) UIFont *numFont;
/// 文字颜色
@property (nonatomic, strong) UIColor *textColor;
/// 数字颜色
@property (nonatomic, strong) UIColor *numColor;
/// 文字背景颜色
@property (nonatomic, strong) UIColor *textBgColor;
/// 数字背景颜色
@property (nonatomic, strong) UIColor *numBgColor;
/// 字体Label圆角
@property (nonatomic, assign) CGFloat textCornerRadius;
/// 数字Label size
@property (nonatomic, assign) CGSize textLabelSize;
/// 左右到边距离
@property (nonatomic, assign) CGFloat margin;
/// 数字控件间隔
@property (nonatomic, assign) CGFloat space;
/// ':' size
@property (nonatomic, assign) CGSize unitSize;
/// 默认允许滚动动画
@property (nonatomic, assign) BOOL scrollAnimatedEnabled;

/// 是否是课堂抽查
@property (nonatomic, assign) BOOL isSpotCheck;

- (CGFloat)getTotalWidthWithCurrentTime:(NSInteger)currentTime;

@end

NS_ASSUME_NONNULL_END
