//
//  SCCountDownView.h
//  BaseStudyCommune
//
//  Created by GRT's iMac on 2021/4/7.
//  Copyright © 2021 enaea. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "SCCountDownConfig.h"

NS_ASSUME_NONNULL_BEGIN

@interface SCCountDownView : UIView
/// 是否正在跑
@property (nonatomic, assign, readonly) BOOL isRunning;

- (instancetype)initWithFrame:(CGRect)frame config:(SCCountDownConfig *)config countDownChange:(void(^)(NSInteger time))countDownChange countDownEnd:(void(^)(void))countDownEnd;

- (void)setupCurrentTime:(NSInteger)curentTime;

- (void)invalidateTimer;

@end

NS_ASSUME_NONNULL_END
