//
//  SCHttpManager.m
//  BaseStudyCommune
//
//  Created by 王振杰 on 2020/10/29.
//  Copyright © 2020 enaea. All rights reserved.
//

#import "SCHttpManager.h"

@implementation SCHttpManager

//单例模式
+ (SCHttpManager *)sharedManager
{
    static SCHttpManager *_httpManager = nil;

    static dispatch_once_t once;
    dispatch_once(&once, ^{
//        _httpManager = [[SCHttpManager alloc] init];
        _httpManager = [AFHTTPSessionManager manager];
        _httpManager.requestSerializer = [AFJSONRequestSerializer serializer];
        _httpManager.responseSerializer = [AFHTTPResponseSerializer serializer];
        
    });
    return _httpManager;
}


////网络类初始化
//- (id)init{
//    self = [super init];
//    if(self)
//    {
//        self = [AFHTTPSessionManager manager];
//        self.requestSerializer = [AFJSONRequestSerializer serializer];
//        self.responseSerializer = [AFHTTPResponseSerializer serializer];
//    }
//    return self;
//}

@end
