//
//  CommonModel.h
//  StudyCommune
//
//  Created by tech on 15/12/3.
//  Copyright © 2015年 tech. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface CommonModel:NSObject

@end

@interface CommonDataArrayModel : NSObject
@property (nonatomic, assign) BOOL success;
@property (nonatomic, copy) NSString *message;
@property (nonatomic, strong) NSArray *data;//返回数组
@property (nonatomic, assign) NSInteger resultCode;
@property (nonatomic, strong) NSDictionary *page;
@property (nonatomic, strong) NSDictionary *extra;
@end


@interface CommonDataDictionaryModel : NSObject
@property (nonatomic, assign) BOOL success;
@property (nonatomic, copy) NSString *message;
@property (nonatomic, strong) NSDictionary *data;//返回字典



/**
 1101：非法
 1102：过期
 1103：失效，已被新值替代
 1100 :是你没传token
 */
@property (nonatomic, assign) NSInteger resultCode;
@end

@interface checkAuthCodeModel : NSObject
@property (nonatomic, assign) BOOL success;

@property (nonatomic, strong) NSDictionary *data;//返回字典



/**
 1101：非法
 1102：过期
 1103：失效，已被新值替代
 1100 :是你没传token
 */
@property (nonatomic, assign) NSInteger resultCode;



@end


@interface changeUserMobileModel : NSObject
@property (nonatomic, assign) BOOL success;

@property (nonatomic, assign) NSInteger resultCode;
@end

@interface CommonParameterModel : NSObject
@property (nonatomic, copy) NSString *state;//项目状态,0-未开始 1-进行中 2-已结束  3-审核中/未通过
@property (nonatomic, copy) NSString *projectState;//学习公社云 项目进行中状态条件：-1或者不传全部 1进行中 2未开始 3已结束 4无直播安排
@property (nonatomic, assign) NSInteger pageSize;//每页条数,默认10
@property (nonatomic, assign) NSInteger pageNum;//当前页码,默认0
@property (nonatomic, copy) NSString *projectId;
@property (nonatomic, copy) NSString *classId;
@property (nonatomic, copy) NSString *noticeType;//公告类型(0-公告1-简报)
@property (nonatomic, copy) NSString *itemId;
@property (nonatomic, copy) NSString *segmentId;
@property (nonatomic, copy) NSString *types;//0学习中 1未学习 2已完成 / 评论：0课程 1项目
@property (nonatomic, copy) NSString *moduleId;//课程模块

@property (nonatomic, copy) NSString  *_t;//当前页最后一条评论时间戳 新增
@property(nonatomic,assign) NSInteger limit;//每页条数

@property (nonatomic, copy) NSString *range;//0全部直播  1我的直播
@property (nonatomic, copy) NSString *progressState;//直播状态 -1或者不传 全部 1进行中 2未开始 3已结束 4无直播安排
@property (nonatomic, copy) NSString *segId;
@property (nonatomic, copy) NSString *type;//交流研讨 0全部 1个人 2参与
@property (nonatomic, copy) NSString *temAssessLogId;//日志列表 分类id
@property (nonatomic, copy) NSString *categoryId;//选择课程 类目ID
@property (nonatomic, copy) NSString *categoryIds;//选择课程 类目ID(开放课)
@property (nonatomic, copy) NSString *tagId;//评论的课程/项目Id
@property (nonatomic, copy) NSString *content;//评论内容
@property (nonatomic, copy) NSString *replyId;//评论id

@property (nonatomic, copy) NSString *courseIds;//选修课添加课程
@property (nonatomic, copy) NSString *categoryLevel;//课程分类级别

@property (nonatomic, copy) NSString *orderBy;//0人数  1发布时间
@property (nonatomic, copy) NSString *enrollType;//0可报名  1不可报名
@property (nonatomic, copy) NSString *audition;//0有试听  1没有试听

@property (nonatomic, copy) NSString *studyState;//1进行中、2已过期、3未开始、4审核中/审核未通过
@property (nonatomic, copy) NSString *enrollState;//项目 1可报名筛选
@property (nonatomic, copy) NSString *orgId;//机构id
@property (nonatomic, copy) NSString *courseId;//公开课ID
@property (nonatomic, copy) NSString *name;//公开课名称

@property (nonatomic, copy) NSString *bbsId;//新增
@property (nonatomic, copy) NSString *title;//新增

@property (nonatomic, copy) NSString *platformId;//新增 平台ID
@property (nonatomic, copy) NSString *keywords;//新增 关键字
@property (nonatomic, copy) NSString *insName;//新增 工作室名称
@property (nonatomic, copy) NSString *checkStuState;//新增 1 审核中/审核未通过 2 审核通过

@property (nonatomic, copy) NSString *examId;//新增 考试、作业、研修成果ID
@property (nonatomic, copy) NSString *memExamId;//新增 考试、作业、研修成果ID

@property (nonatomic, copy) NSString *projectName;//新增 选学报名项目名称
@property (nonatomic, copy) NSString *projectYear;//新增 选学报名培训年度
@property (nonatomic, copy) NSString *trainingYear;//新增 学时档案年度
@property (nonatomic, copy) NSString *startTime;//新增 学时档案开始时间
@property (nonatomic, copy) NSString *endTime;//新增 学时档案结束时间
// 试卷ID
@property (nonatomic, strong) NSString *examPaperId;
/// 模板试卷ID，每个用户都相同 
@property (nonatomic, strong) NSString *sourceExamPaperId;
/// 真实试卷ID
@property (nonatomic, strong) NSString *realExamPaperId;
/// 个人试卷ID
@property (nonatomic, strong) NSString *memPaperId;

@end
